RENICE(1)

BEZEICHNUNG
renice - die Priorität laufender Prozesse ändern

ÜBERSICHT

renice [--priority|--relative] Priorität [-g|-p|-u] Bezeichner …

BESCHREIBUNG

renice ändert das Prioritäts_Scheduling eines oder mehrerer laufender Prozesse. Das erste Argument ist der zu verwendende Prioritäts-Wert. Die anderen Argumente werden als Prozesskennungen interpretiert (Vorgabe), Prozessgruppenkennungen, Benutzerkennungen oder Benutzernamen. Das Anwenden von renice auf eine Prozessgruppe beeinflusst das Scheduling aller Prozesse in dieser Prozessgruppe gleichermaßen. Das Anwenden von renice auf einen Benutzer ändert das Prioritäts-Scheduling aller Prozesse, die diesem Benutzer gehören.

Falls keine der Optionen -n, --priority oder --relative verwendet wird, dann wird dir Priorität als absolut gesetzt.

OPTIONEN

-n Priorität
    gibt das für den Prozess, die Prozessgruppe oder den Benutzer zu verwendende absolute oder relative Prioritäts-Scheduling an (abhängig von der Umgebungsvariable POSIXLY_CORRECT. Die Verwendung der Option -n oder --priority ist optional, aber dann müssen sie stets das erste Argument sein. Im Abschnitt ANMERKUNGEN finden Sie weitere Informationen hierzu.

--priority Priorität
    gibt ein absolutes Prioritäts-Scheduling an. Die Priorität wird auf den angegebenen Wert gesetzt. Dies ist die Vorgabe, wenn keine Option angegeben wird.

--relative Priorität
    gibt ein relatives Prioritäts-Scheduling an. Gleichbedeutend mit der POSIX-Standardoption -n. Die Priorität wird um den angegebenen Wert erhöht oder verringert.

-g, --pgrp
    interpretiert die nachfolgenden Argumente als Prozessgruppenkennungen.

-p, --pid
    interpretiert die nachfolgenden Argumente als Prozesskennungen (Vorgabe).

-u, --user
    interpretiert die nachfolgenden Argumente als Benutzernamen oder Benutzerkennungen.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

DATEIEN

/etc/passwd
    zum Zuordnen der Benutzernamen zu Benutzerkennungen

ANMERKUNGEN

Benutzer, die keine Superuser sind, können nur die Priorität solcher Prozesse ändern, die ihnen selbst gehören. Weiterhin können unprivilegierte Benutzer den »Nice−Wert« nur erhöhen (d.h. eine niedrigere Priorität wählen), außerdem sind solche Änderungen nicht umkehrbar, es sei denn (seit Linux 2.6.12), dass der Benutzer eine passende Ressourcenbeschränkung des »Nice-Werts« hat (siehe ulimit(1p) und getrlimit(2)).

Der Superuser darf die Priorität aller Prozesse ändern und die Priorität auf jeden Wert von -20 bis 19 setzen. Sinnvolle Prioritäten sind: 19 (die betroffenen Prozesse werden nur ausgeführt, wenn nichts anderes im System ausgeführt wird), 0 (das »grundlegende« Prioritäts-Scheduling), eine negative Zahl (um Dinge sehr schnell ablaufen zu lassen).

Aus historischen Gründen in dieser Implementierung folgt die Option -n nicht der POSIX-Spezifikation. Daher wird standardmäßig anstelle einer relativen eine absolute Priorität gesetzt. Da dies nicht erwünscht sein könnte, kann dieses Verhalten durch Setzen der Umgebungsvariable POSIXLY-CORRECT auf vollständig POSIX-kompatibel beeinflusst werden. Siehe die Option -n für Details. Siehe auch die Optionen --relative und --priority, deren Verhalten nicht von Umgebungsvariablen abhängig ist.

GESCHICHTE

Der Befehl renice erschien in 4.0BSD.

BEISPIELE

Der folgende Befehl ändert die Priorität der Prozesse mit den Prozesskennungen 987 und 32 und außerdem aller Prozesse, die den Benutzern »daemon« und »root« gehören:

renice +1 987 -u daemon root -p 32

SIEHE AUCH

nice(1), chrt(1), getpriority(2), setpriority(2), credentials(7), sched(7)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl renice ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.